<script>

    import { scaleLinear, scaleLog } from 'd3-scale';
    import Line from './_design_1_Line2.svelte';
    export let data = []
    export let scale;
    export let width;
    export let height;
    export let ysc;
    const margin = { top: 10, right: 10, bottom: 10, left: 10 };
    $: console.log(data)
    $: xsc = scaleLinear().domain([0,744]).range([margin.left, width-5*margin.right])
  </script>

{#each Object.keys(data) as bldgtype, idx}
    <text x=-5 y={idx*height/17+18} class="cool">{bldgtype}</text>
    <g transform="translate({margin.left},{margin.top+((height/17)*idx)})">
        <Line data={data[bldgtype]} {ysc} {xsc} {height} {scale} />     
    </g>
{/each}
  
  
<style>
    text {
        font-size: 11px;
        font-family: Courier;
    }

    .cool {
        fill: rgb(66, 66, 66);
        font-size: 10px;
        
    }
</style>